Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables

# ext/openssl/ossl_config.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
CONF * | GetConfigPtr (VALUE obj)
CONF * | DupConfigPtr (VALUE obj)
void | Init_ossl_config (void)
## Variables
VALUE | cConfig
VALUE | eConfigError

## Function Documentation

CONF* DupConfigPtr | ( | VALUE | obj | ) |

Definition at line 53 of file ossl_config.c.

References cConfig, NULL, OSSL_Check_Kind, parse_config(), rb_funcall(), and rb_intern.

CONF* GetConfigPtr | ( | VALUE | obj | ) |

Definition at line 43 of file ossl_config.c.

References SafeGetConfig.

Referenced by ossl_x509extfactory_create_ext().

void Init_ossl_config | ( | void |  | ) |

Definition at line 466 of file ossl_config.c.

References cConfig, CLASS_OF, CONF_get1_default_config_file(), eConfigError, eOSSLError, mOSSL, ossl_config_add_value_m(), ossl_config_copy(), ossl_config_each(), ossl_config_get_section(), ossl_config_get_section_old(), ossl_config_get_sections(), ossl_config_get_value(), ossl_config_get_value_old(), ossl_config_initialize(), ossl_config_inspect(), ossl_config_s_alloc(), ossl_config_s_parse(), ossl_config_set_section(), ossl_config_to_s(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_const(), rb_define_copy_func, rb_define_method(), rb_define_singleton_method(), rb_include_module(), rb_mEnumerable, and rb_str_new2().

Referenced by Init_openssl().

## Variable Documentation

VALUE cConfig

Definition at line 33 of file ossl_config.c.

Referenced by DupConfigPtr(), and Init_ossl_config().

VALUE eConfigError

Definition at line 34 of file ossl_config.c.

Referenced by Init_ossl_config(), ossl_config_add_value(), ossl_config_initialize(), ossl_config_s_alloc(), and parse_config().